Skip to content

PushNotificationChallengeRequestJwt

JSON Web Token payload constructed by Okta for the push notification challenge request JWT

appInstanceNamestring

Friendly name of the application for the authentication request

audstring

Audience (maps to the application ID)

authenticatorEnrollmentIdstring

ID of the app authenticator enrollment

Example:"pfd7rzcmvlhmE0Y1w0g4"
authorizationServerIdstring

ID of the authorization server that signed the challenge request

challengeContextobject
expstring

Expiration time of token (UNIX timestamp)

iatstring

Issuing time of token (UNIX timestamp)

issstring

Issuer (maps to the org URL)

jtistring

Token ID (matches transactionId)

methodstring

Method type requested for the response

Value:"push"
Example:"push"
methodEnrollmentIdstring

ID of the push method enrollment

Example:"opf6aeq9U2hoM8aqO0w5"
noncestring

Randomly generated nonce value

orgIdstring

ID of the organization

signalsArray of any

Array of string values describing client signals requested for collection

transactionIdstring

Transaction ID (matches the challengeId path parameter)

userIdstring

ID of the user being challenged

userMediationstring

Indicates if user mediation is required

Enum ValueDescription
NONE

User interaction isn't required by the client during authentication.

OPTIONAL

The client can decide to interact with the user or not.

REQUIRED

The client must interact with the user. If a biometrics prompt occurs during user verification, additional consent prompt isn't shown by the client.

Example:"REQUIRED"
userVerificationstring

Indicates if user verification (biometrics) is used in the response

Enum ValueDescription
NONE

The client doesn't require any user verification as part of the authentication flow.

DISCOURAGED

The client prefers a proof of possession flow without user interaction. However, the client can prompt for user verification if it allows for a better user experience.

PREFERRED

Client user verification prompt is preferred. If the user verification key is unavailable, the client can use the proof of possession. In this situation, Okta recommends that the client send UV_TEMPORARILY_UNAVAILABLE or UV_PERMANENTLY_UNAVAILABLE in the challenge response's userConsent field.

REQUIRED

The client must prompt for user verification and otherwise fail silently without user interaction.

Example:"REQUIRED"
verinteger

Version of the JWT (supported value: 0)

Example:0
verificationUristring

The expected endpoint posted by the client for the challenge response

{ "appInstanceName": "string", "aud": "string", "authenticatorEnrollmentId": "pfd7rzcmvlhmE0Y1w0g4", "authorizationServerId": "string", "challengeContext": { "clientOS": "string", "clientLocation": "string", "transactionTime": "string", "transactionType": "CIBA", "bindingMessage": "string" }, "exp": "string", "iat": "string", "iss": "string", "jti": "string", "method": "push", "methodEnrollmentId": "opf6aeq9U2hoM8aqO0w5", "nonce": "string", "orgId": "string", "signals": [], "transactionId": "string", "userId": "string", "userMediation": "REQUIRED", "userVerification": "REQUIRED", "ver": 0, "verificationUri": "string" }